## scribus 1.6.1+dfsg

=== debian/changelog ===
scribus (1.6.1+dfsg-0.1~mx21+1) mx; urgency=medium

  * New upstream version 1.6.1+dfsg.
  * Update copyright.
  * Drop patches applied upstream.
  * Make recommended packages and scribus-template explicit dependencies.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 05 Feb 2024 15:02:34 -0800

=== debian/control ===
Source: scribus
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Mattia Rizzolo <mattia@debian.org>
Build-Depends: cmake (>= 3.14.0),
               debhelper-compat (= 13),
               dh-python,
               extra-cmake-modules,
               gettext,
               libcairo2-dev,
               libcdr-dev,
               libcups2-dev,
               libfreehand-dev,
               libgraphicsmagick++1-dev,
               libharfbuzz-dev,
               libhunspell-dev,
               libhyphen-dev,
               libicu-dev,
               liblcms2-dev,
               libmspub-dev,
               libopenscenegraph-dev (>= 3.4),
               libpagemaker-dev,
               libpng-dev,
               libpodofo-dev,
               libpoppler-cpp-dev,
               libpoppler-dev (>= 0.64.0),
               libpoppler-private-dev,
               libqt5opengl5-dev,
               libqt5webkit5-dev,
               libqxp-dev,
               librevenge-dev,
               libtiff-dev,
               libvisio-dev,
               libwpg-dev,
               libxml2-dev,
               libzmf-dev,
               python3-dev,
               qtbase5-dev (>= 5.14),
               qttools5-dev,
               qttools5-dev-tools,
               zlib1g-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/scribus
Vcs-Git: https://salsa.debian.org/debian/scribus.git
Homepage: https://www.scribus.net

Package: scribus
Architecture: any
Depends: ghostscript,
         ${S:Source}-data (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
            cups-bsd,
            fonts-dejavu,
            fonts-liberation,
            hyphen-hyphenation-patterns,
            icc-profiles-free,
            xfonts-scalable | gsfonts-x11,
            scribus-template
Suggests: icc-profiles,
#          scribus-template,
          texlive-latex-recommended,
          ${S:Source}-doc
Description: Open Source Desktop Page Layout
 Scribus is an open source desktop page layout program with the aim of
 producing commercial grade output in PDF and Postscript.
 .
 Scribus can be used for many tasks; from brochure design to newspapers,
 magazines, newsletters and posters to technical documentation.
 .
 Scribus supports professional DTP features, such as CMYK color and a
 color management system to soft proof images for high quality color printing,
 flexible PDF creation options, Encapsulated PostScript import/export and
 creation of 4 color separations, import of EPS/PS and SVG as native vector
 graphics, Unicode text including right to left scripts such as Arabic and
 Hebrew via freetype. Graphic formats which can be placed in Scribus as images
 include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
 and any bitmap type supported by QT5.
 .
 If you need to use the render frame install the texlive-latex-recommended
 package (suggested).

Package: scribus-data
Architecture: all
Depends: python3-tk, ${misc:Depends}, ${python3:Depends}
Recommends: fonts-dejavu
Description: Open Source Desktop Page Layout - data files
 Scribus is an open source desktop page layout program with the aim of
 producing commercial grade output in PDF and Postscript.
 .
 Scribus can be used for many tasks; from brochure design to newspapers,
 magazines, newsletters and posters to technical documentation.
 .
 Scribus supports professional DTP features, such as CMYK color and a
 color management system to soft proof images for high quality color printing,
 flexible PDF creation options, Encapsulated PostScript import/export and
 creation of 4 color separations, import of EPS/PS and SVG as native vector
 graphics, Unicode text including right to left scripts such as Arabic and
 Hebrew via freetype. Graphic formats which can be placed in Scribus as images
 include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
 and any bitmap type supported by QT5.
 .
 This package contains the architecture-independent files.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CFLAGS += -D_LARGEFILE64_SOURCE=1 -D_LARGEFILE_SOURCE=1 -D_FILE_OFFSET_BITS=64
CXXFLAGS += -D_LARGEFILE64_SOURCE=1 -D_LARGEFILE_SOURCE=1 -D_FILE_OFFSET_BITS=64

t :=
p := scribus$t
export p

ifneq (,$t)
extraconf := \
	-DWANT_DEBUG:BOOL=1 \
	-DWANT_VERSIONING:BOOL=1 \
	-DCUSTOM_VERSIONTAG=$t
else
extraconf :=
endif

%:
	dh $@ --buildsystem=cmake --with python3

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DWANT_CPP17=ON \
	    -DWANT_HUNSPELL=1 \
	    -DWANT_GRAPHICSMAGICK:BOOL=1 \
	    -DWANT_DISTROBUILD:BOOL=1 \
	    -DWANT_NORPATH:BOOL=1 \
	    -DCMAKE_SKIP_RPATH:BOOL=1 \
	    $(extraconf)

override_dh_auto_install:
	dh_auto_install
ifneq (,$(findstring doc, $(shell grep -e '^Package: ' debian/control)))
	# move the docs somewhere else, so that I can then pick them up
	# do it only if we are building the -doc package from the same source.
	# This won't be the case for the official Debian package, as the
	# documentation is non-free and in a separate source package.
	mkdir -p $(CURDIR)/debian/tmp/doc
	mv -v $(CURDIR)/debian/tmp/usr/share/doc/$p/en \
	      $(CURDIR)/debian/tmp/usr/share/doc/$p/de \
	      $(CURDIR)/debian/tmp/usr/share/doc/$p/it \
	      $(CURDIR)/debian/tmp/usr/share/doc/$p/ru \
	      $(CURDIR)/debian/tmp/doc
endif
	# remove pointless files.
	rm -v $(CURDIR)/debian/tmp/usr/share/doc/$p/ChangeLog \
	      $(CURDIR)/debian/tmp/usr/share/doc/$p/COPYING
	find $(CURDIR)/debian/tmp -type d -empty -print -delete
	# remove references to prorietary fonts and use free fonts in templates.
	# also remove references to Bitstream fonts, which are unmaintained, and
	# use DejaVu ones, instead
	# See https://bugs.debian.org/742003 and https://launchpad.net/bugs/1393349
	# https://bugs.scribus.net/view.php?id=14688
	# https://bugs.scribus.net/view.php?id=14689
	gunzip -v $(CURDIR)/debian/tmp/usr/share/$p/templates/*/*.sla.gz
	sed -i $(CURDIR)/debian/tmp/usr/share/$p/templates/*/*.sla \
		-e 's/Arial Regular/Liberation Sans Regular/g' \
		-e 's/Arial Black Regular/Liberation Sans Bold/g' \
		-e 's/FreeSans Medium/Liberation Sans Bold/g' \
		-e 's/Bitstream Vera Sans Roman/DejaVu Sans Book/g' \
		-e 's/Bitstream Vera Sans Mono Roman/DejaVu Sans Mono Book/g' \
		-e 's/Bitstream Vera Serif Roman/DejaVu Serif Book/g' \
		-e 's/Bitstream Vera Serif/DejaVu Serif/g' \
		-e 's/Bitstream Vera Sans/DejaVu Sans/g' \
		-e 's/Bitstream Vera Mono/DejaVu Mono/g'
	gzip -v -n -8 $(CURDIR)/debian/tmp/usr/share/$p/templates/*/*.sla

override_dh_fixperms:
	# the plugins (which are the only .so files here) needs to be +x.
	# let the scribus installer take care of them
	dh_fixperms -X .so

override_dh_python3:
	dh_python3 /usr/share/$p/samples/
	dh_python3 /usr/share/$p/scripts/

# scribus expects the {docdir}/{lang}/menu.xml being present and uncompressed,
# otherwise you'll get no docs.
override_dh_compress:
	dh_compress -X usr/share/doc/$p/de \
				-X usr/share/doc/$p/en \
				-X usr/share/doc/$p/it \
				-X usr/share/doc/$p/ru \
				-X usr/share/doc/$p/TRANSLATION \

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## scribus 1.6.2

=== scribus/plugins/gettext/csvim/CMakeLists.txt ===
include_directories(
	${CMAKE_SOURCE_DIR}
	${CMAKE_SOURCE_DIR}/scribus
)

set(CSV_GT_PLUGIN_SOURCES
	csvim.cpp
	csvdia.cpp
)

set(SCRIBUS_CSV_GT_PLUGIN "csvim")



add_library(${SCRIBUS_CSV_GT_PLUGIN} MODULE ${CSV_GT_PLUGIN_SOURCES})

target_link_libraries(${SCRIBUS_CSV_GT_PLUGIN} ${EXE_NAME})

if(WANT_PCH)
	target_precompile_headers(${SCRIBUS_CSV_GT_PLUGIN} PRIVATE "../../plugins_pch.h")
endif()

install(TARGETS ${SCRIBUS_CSV_GT_PLUGIN}
	LIBRARY
	DESTINATION ${PLUGINDIR}gettext
	PERMISSIONS ${PLUGIN_PERMISSIONS}
)

=== debian/changelog ===
scribus (1.6.2-0ubuntu1) oracular; urgency=medium

  * New upstream release (Closes: #1064536, #1074020)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Jun 2024 13:23:17 -0400

scribus (1.6.1-0ubuntu8) oracular; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jun 2024 07:56:29 -0400

## scribus 1.6.2+dfsg

=== CMakeLists.txt ===
##############################################################################################################
########## CMake Setup                                                                              ##########

#Set our CMake minimum version
#Require 2.8.9 for Qt5 and CMAKE_POSITION_INDEPENDENT_CODE property
#Require 3.1.0 for Qt 5.7 C++ 11 easy support
#Require 3.2.0 for add_custom_target with byproducts
#Require 3.12 for new Find Python modules
#Require 3.14 for new Fontconfig module

cmake_minimum_required(VERSION 3.14.0 FATAL_ERROR)
cmake_policy(SET CMP0048 NEW)
message(STATUS "CMake Version: ${CMAKE_VERSION}")
if (WANT_PCH)
	if(${CMAKE_VERSION} VERSION_LESS "3.16.0")
		message(STATUS "Precompiled headers requested however CMake version < 3.16.0")
		set(WANT_PCH OFF)
	else()
		message(STATUS "Precompiled headers enabled")
	endif()
else()
	set(WANT_PCH OFF)
	message(STATUS "Precompiled headers disabled")
endif()

#Set our version values
#Final version is ${VERSION} = ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}.${VERSION_SUFFIX}
#where VERSION_SUFFIX is of the form "", "svn" or "Nsvn" (N being the minor patch level)
set (VERSION_MAJOR "1")
set (VERSION_MINOR "6")
set (VERSION_PATCH "2")
set (VERSION_SUFFIX "")
set (VERSION ${VERSION_MAJOR})
if (VERSION_MINOR GREATER -1)
	set (VERSION ${VERSION}.${VERSION_MINOR})
endif()
if (VERSION_PATCH GREATER -1)
	set (VERSION ${VERSION}.${VERSION_PATCH})
endif()

#Project Setup
#Do this now, prior to adding the suffix for SVN
project(scribus VERSION ${VERSION}) # LANGUAGES CXX C)
if (VERSION_SUFFIX)
	set (VERSION ${VERSION}.${VERSION_SUFFIX})
endif()
message(STATUS "Scribus ${VERSION} will be built and installed into ${CMAKE_INSTALL_PREFIX}")

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)


# Configure CCache if available and wanted
if (WANT_CCACHE)
	find_program(CCACHE_FOUND ccache)
	if(CCACHE_FOUND)
		message(STATUS "Enabling ccache")
		set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
		set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
	endif()
endif()

#Pretty colors
set(CMAKE_COLOR_MAKEFILE ON)
#Don't force verbose
set(CMAKE_VERBOSE_MAKEFILE OFF)
#Include current dir
set(CMAKE_INCLUDE_CURRENT_DIR ON)
#Don't allow in source builds
#set(CMAKE_DISABLE_SOURCE_CHANGES ON)
#set(CMAKE_DISABLE_IN_SOURCE_BUILD ON)


#RPATH setup - more below too
if (WANT_NORPATH OR WANT_DISTROBUILD)
	set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
else()
	set(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)
endif()
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
set(CMAKE_SKIP_RULE_DEPENDENCY TRUE)
set(CMAKE_SKIP_BUILD_RPATH TRUE)

include(CheckIncludeFile)
include(CheckCCompilerFlag)
include(CheckCXXCompilerFlag)
include(CheckTypeSize)
include(TestBigEndian)
include(GNUInstallDirs)
#include(FeatureSummary)

#enable_testing()

#Set the custom CMake module directory where our include/lib finders are
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

##############################################################################################################
########## toplevel compiler flags                                                                  ##########
message(STATUS "Shared Library Flags: ${CMAKE_SHARED_LIBRARY_C_FLAGS}")




#Set the permissions to be used when installing plugins
set(PLUGIN_PERMISSIONS WORLD_EXECUTE GROUP_EXECUTE OWNER_EXECUTE WORLD_READ GROUP_READ OWNER_READ OWNER_WRITE)

#Our main directory is scribus
set(MAIN_DIR_NAME "scribus")

##############################################################################################################
########## check for the CPU we build for                                                           ##########

execute_process(
	COMMAND ${CMAKE_C_COMPILER} -dumpmachine
	OUTPUT_VARIABLE MACHINE
	OUTPUT_STRIP_TRAILING_WHITESPACE
)

## Find out what machine/cpu we are running on
message(STATUS  "Machine: ${MACHINE}, void pointer size: ${CMAKE_SIZEOF_VOID_P}")
string(REGEX MATCH "(i[0-9]86-*)|(athlon-*)|(pentium-*)" _machine_x86 "${MACHINE}")
if (_machine_x86)
	message(STATUS "Found target X86")
	set(ARCH_X86 ON)
endif()

string(REGEX MATCH "(x86_64-*)|(X86_64-*)|(AMD64-*)|(amd64-*)" _machine_x86_64 "${MACHINE}")
if (_machine_x86_64)
	message(STATUS "Found target X86_64")
	set(ARCH_X86_64 ON)
endif()

string(REGEX MATCH "(sparc64-*)|(SPARC64-*)" _machine_sparc_64 "${MACHINE}")
if (_machine_sparc_64)
	message(STATUS "Found target SPARC 64")
	set(ARCH_SPARC_64 ON)
endif()

string(REGEX MATCH "(mips64-*)|(MIPS64-*)" _machine_mips_64 "${MACHINE}")
if (_machine_mips_64)
	message(STATUS "Found target MIPS 64")
	set(ARCH_MIPS_64 ON)
endif()

string(REGEX MATCH "(ppc-*)|(powerpc-*)" _machine_ppc "${MACHINE}")
if (_machine_ppc)
	message(STATUS "Found target PPC")
	set(ARCH_PPC ON)
endif()

string(REGEX MATCH "(ppc64-*)|(PPC64-*)|(powerpc64-*)" _machine_ppc_64 "${MACHINE}")
if (_machine_ppc_64)
	message(STATUS "Found target PPC64")
	set(ARCH_PPC_64 ON)
endif()

string(REGEX MATCH "(sparc-*)" _machine_sparc "${MACHINE}")
if (_machine_sparc)
	message(STATUS "Found target Sparc")
	set(ARCH_SPARC ON)
endif()

string(REGEX MATCH "(sparcv9-*)" _machine_sparcv9 "${MACHINE}")
if (_machine_sparcv9)
	message(STATUS "Found target Sparc v9")
	set(ARCH_SPARCV9 ON)
endif()

string(REGEX MATCH "(sparc64-*)" _machine_sparc64 "${MACHINE}")
if (_machine_sparc64)
	message(STATUS "Found target Sparc64")
	set(ARCH_SPARC64 ON)
	set(ARCH64BIT ON)
endif()

string(REGEX MATCH "(hppa+)" _machine_hppa "${MACHINE}")
if (_machine_hppa)
	message(STATUS "Found target Hppa")
	set(ARCH_HPPA ON)
endif()

string(REGEX MATCH "(arm+)" _machine_arm "${MACHINE}")
if (_machine_arm)
	message(STATUS "Found target arm")
	set(ARCH_ARM ON)
endif()

string(REGEX MATCH "(arm64+)" _machine_arm64 "${MACHINE}")
if (_machine_arm64)
	message(STATUS "Found target arm64")
	set(ARCH_ARM_64 ON)
endif()

# We need to pass -fPIC to lib2geom on amd64, mips, mipsel, and hppa. See:
# http://www.gentoo.org/proj/en/base/amd64/howtos/index.xml?part=1&chap=3 and
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=559133

set(CMAKE_POSITION_INDEPENDENT_CODE ON)

## Do our Apple OSX version setup
if (APPLE)
	if ((CMAKE_SIZEOF_VOID_P EQUAL 8) AND (ARCH_ARM_64))
		string(REGEX REPLACE ".*-darwin([0-9]+).*" "\\1" APPLE_OS_VERSION "${MACHINE}")
		if (APPLE_OS_VERSION EQUAL "23")
			message(STATUS "Found macOS Sonoma Target: Apple, 64 bit, X86")
			set(APPLE_14_00_X ON CACHE BOOL "Found macOS Sonoma Target: Apple, 64 bit, ARM")
		endif()
		if (APPLE_OS_VERSION EQUAL "22")
			message(STATUS "Found macOS Ventura Target: Apple, 64 bit, ARM")
			set(APPLE_13_00_X ON CACHE BOOL "Found macOS Ventura Target: Apple, 64 bit, ARM")
		endif()
		if (APPLE_OS_VERSION EQUAL "21")
			message(STATUS "Found macOS Monterey Target: Apple, 64 bit, ARM")
			set(APPLE_12_00_X ON CACHE BOOL "Found macOS Monterey Target: Apple, 64 bit, ARM")
		endif()
		if (APPLE_OS_VERSION EQUAL "20")
			message(STATUS "Found macOS Big Sur Target: Apple, 64 bit, ARM")
			set(APPLE_11_00_X ON CACHE BOOL "Found macOS Big Sur Target: Apple, 64 bit, ARM")
		endif()
	endif()
	if ((CMAKE_SIZEOF_VOID_P EQUAL 8) AND (ARCH_X86 OR ARCH_X86_64))
		string(REGEX REPLACE ".*-darwin([0-9]+).*" "\\1" APPLE_OS_VERSION "${MACHINE}")
		if (APPLE_OS_VERSION EQUAL "23")
			message(STATUS "Found macOS Sonoma Target: Apple, 64 bit, X86")
			set(APPLE_14_00_X ON CACHE BOOL "Found macOS Sonoma Target: Apple, 64 bit, X86")
		endif()
		if (APPLE_OS_VERSION EQUAL "22")
			message(STATUS "Found macOS Ventura Target: Apple, 64 bit, X86")
			set(APPLE_13_00_X ON CACHE BOOL "Found macOS Ventura Target: Apple, 64 bit, X86")
		endif()
		if (APPLE_OS_VERSION EQUAL "21")
			message(STATUS "Found macOS Monterey Target: Apple, 64 bit, X86")
			set(APPLE_12_00_X ON CACHE BOOL "Found macOS Monterey Target: Apple, 64 bit, X86")
		endif()
		if (APPLE_OS_VERSION EQUAL "20")
			message(STATUS "Found macOS Big Sur Target: Apple, 64 bit, X86")
			set(APPLE_11_00_X ON CACHE BOOL "Found macOS Big Sur Target: Apple, 64 bit, X86")
		endif()
		if (APPLE_OS_VERSION EQUAL "19")
			message(STATUS "Found macOS Catalina Target: Apple, 64 bit, X86")
			set(APPLE_10_15_X ON CACHE BOOL "Found macOS Catalina Target: Apple, 64 bit, X86")
		endif()
		if (APPLE_OS_VERSION EQUAL "18")
			message(STATUS "Found macOS Mojave Target: Apple, 64 bit, X86")
			set(APPLE_10_14_X ON CACHE BOOL "Found macOS Mojave Target: Apple, 64 bit, X86")
		endif()
		if (APPLE_OS_VERSION EQUAL "17")
			message(STATUS "Found macOS High Sierra Target: Apple, 64 bit, X86")
			set(APPLE_10_13_X ON CACHE BOOL "Found macOS High Sierra Target: Apple, 64 bit, X86")
		endif()
		if (APPLE_OS_VERSION EQUAL "16")
			message(STATUS "Found macOS Sierra Target: Apple, 64 bit, X86")
			set(APPLE_10_12_X ON CACHE BOOL "Found macOS Sierra Target: Apple, 64 bit, X86")
		endif()
		if (APPLE_OS_VERSION EQUAL "15")
			message(STATUS "Found OSX El Capitan Target: Apple, 64 bit, X86")
			set(APPLE_10_11_X ON CACHE BOOL "Found OSX El Capitan Target: Apple, 64 bit, X86")
		endif()
		if (APPLE_OS_VERSION EQUAL "14")
			message(STATUS "Found OSX Yosemite Target: Apple, 64 bit, X86")
			set(APPLE_10_10_X ON CACHE BOOL "Found OSX Yosemite Target: Apple, 64 bit, X86")
		endif()
		if (APPLE_OS_VERSION EQUAL "13")
			message(STATUS "Found OSX Mavericks Target: Apple, 64 bit, X86")
			set(APPLE_10_9_X ON CACHE BOOL "Found OSX Mavericks Target: Apple, 64 bit, X86")
		endif()
		if (APPLE_OS_VERSION EQUAL "12")
			message(STATUS "Found OSX Mountain Lion Target: Apple, 64 bit, X86")
			set(APPLE_10_8_X ON CACHE BOOL "Found OSX Mountain Lion Target: Apple, 64 bit, X86")
		endif()
		if (APPLE_OS_VERSION EQUAL "11")
			message(STATUS "Found OSX Lion Target: Apple, 64 bit, X86")
			set(APPLE_10_7_X ON CACHE BOOL "Found OSX Lion Target: Apple, 64 bit, X86")
		endif()
		if (APPLE_OS_VERSION EQUAL "10")
			message(STATUS "Found OSX Snow Leopard Target: Apple, 64 bit, X86")
			set(APPLE_10_6_X ON CACHE BOOL "Found OSX Snow Leopard Target: Apple, 64 bit, X86")
		endif()
		if (APPLE_OS_VERSION EQUAL "9")
			message(STATUS "Found OSX Leopard Target: Apple, 32 bit, X86")
			set(APPLE_10_5_X ON CACHE BOOL "Found OSX Leopard Target: Apple, 32 bit, X86")
		endif()
		unset(ARCH_X86)
	endif()
endif()


#convert any 64 bit build into generic 64 tag for below
if (ARCH_X86_64 OR ARCH_SPARC_64 OR ARCH_MIPS_64 OR ARCH_PPC_64 OR ARCH_ARM_64)
	set(ARCH64BIT ON)
endif()

message(STATUS "Building for target ${MACHINE}")

##############################################################################################################
########## Relocatability                                                                           ##########

if (APPLEBUNDLE OR WIN32)
	if (WANT_RELOCATABLE)
		message(STATUS "Ignoring relocatable option on Win32 or OSX when building bundle")
		set(WANT_RELOCATABLE OFF)
	endif()
endif()

if (WANT_RELOCATABLE)
	message(STATUS "Enabling relocatable binaries")
	set(WANT_RELOCATABLE ON CACHE BOOL "Enable relocatable binaries")
	add_definitions(-DWANT_RELOCATABLE)
endif()

##############################################################################################################
########## Versioning Setup                                                                         ##########

#On Apple, we ignore the versioning tag so all items are "scribus" not "scribus-version"
if (NOT BUILD_OSX_BUNDLE)
	set(BUILD_OSX_BUNDLE ${APPLE} CACHE BOOL "Building MacOS X Bundle")
endif()

#Simplify future conditionals for Apple
if (APPLE AND BUILD_OSX_BUNDLE)
	set(APPLEBUNDLE ON CACHE BOOL "Building Apple Bundle")
endif()

#Announce we cached a version request before, overridden below for OSX
if(TAG_VERSION)
	if (NOT APPLEBUNDLE)
		message(STATUS "Previously selected version tag: ${TAG_VERSION}")
	endif()
	set(WANT_VERSIONING ON)
	set(CACHED_VERSIONING ON)
endif()

#Remove version tags on OSX so our bundle is Scribus.app
if (APPLEBUNDLE OR WIN32)
	if (WANT_VERSIONING OR CACHED_VERSIONING)

=== resources/translations/CMakeLists.txt ===
include_directories(
"${CMAKE_SOURCE_DIR}/scribus"
)

set(LRELEASE_EXECUTABLE ${Qt5_LRELEASE_EXECUTABLE})

#Install our qm files, selected from *.qm in this directory
file( GLOB SCRIBUS_TS_FILES ${CMAKE_CURRENT_SOURCE_DIR}/*.ts )
message(STATUS ${CMAKE_CURRENT_SOURCE_DIR})

#Bit of a hack, preprocess all the filenames to generate our language string, needed for -DWANT_GUI_LANG=en_GB;de_DE , etc
foreach(TS_FILEPATH ${SCRIBUS_TS_FILES})
  get_filename_component(TS_FILENAME ${TS_FILEPATH} NAME)
  string(REGEX MATCH "\\.([0-9a-zA-Z_]*)\\." LANGSTR ${TS_FILENAME})
  string(REPLACE "." ""  LANGSTR ${LANGSTR})
  set(QM_LANGS ${QM_LANGS} ${LANGSTR})
endforeach(TS_FILEPATH)

message(STATUS "The following GUI languages will be installed: ${WANT_GUI_LANG}")

set(QM_FILES)

#If the user specified WANT_GUI_LANG, then we only create build/install targets for those languages
if(WANT_GUI_LANG)
  foreach(TS_FILEPATH ${SCRIBUS_TS_FILES})
	get_filename_component(TS_FILENAME ${TS_FILEPATH} NAME)
	string(REGEX MATCH "\\.([0-9a-zA-Z_]*)\\." LANGSTR ${TS_FILENAME})
	string(REPLACE "." ""  LANGSTR ${LANGSTR})
	foreach(WANTED_LANG ${WANT_GUI_LANG})
	  if(LANGSTR STREQUAL WANTED_LANG)
		#message(STATUS "You want to install ${LANGSTR}:${WANTED_LANG}")
		set(QM_FILENAME "scribus.${LANGSTR}.qm")
		add_custom_command(
      OUTPUT ${QM_FILENAME}
			COMMAND ${LRELEASE_EXECUTABLE} ${TS_FILEPATH} -silent -qm ${QM_FILENAME}
      MAIN_DEPENDENCY ${TS_FILEPATH}
      COMMENT "release_ts_${LANGSTR}"
		)
    list(APPEND QM_FILES "${QM_FILENAME}")
	  endif(LANGSTR STREQUAL WANTED_LANG)
	endforeach(WANTED_LANG)
  endforeach(TS_FILEPATH)
else(WANT_GUI_LANG)
#Just install all of them
  foreach(TS_FILEPATH ${SCRIBUS_TS_FILES})
	get_filename_component(TS_FILENAME ${TS_FILEPATH} NAME)
	string(REGEX MATCH "\\.([0-9a-zA-Z_]*)\\." LANGSTR ${TS_FILENAME})
	string(REPLACE "." ""  LANGSTR ${LANGSTR})
	set(QM_FILENAME "scribus.${LANGSTR}.qm")
  add_custom_command(
    OUTPUT ${QM_FILENAME}
    COMMAND ${LRELEASE_EXECUTABLE} ${TS_FILEPATH} -silent -qm ${QM_FILENAME}
    MAIN_DEPENDENCY ${TS_FILEPATH}
    COMMENT "release_ts_${LANGSTR}"
  )
  list(APPEND QM_FILES "${QM_FILENAME}")
  endforeach(TS_FILEPATH)
endif(WANT_GUI_LANG)

add_custom_target(Translations ALL
  DEPENDS ${QM_FILES}
  )
foreach(QM_FILE IN LISTS QM_FILES)
		install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${QM_FILE}" DESTINATION ${SHAREDIR}/translations)
endforeach(QM_FILE)

unset(QM_FILES)

=== scribus/plugins/export/CMakeLists.txt ===
add_subdirectory(pixmapexport)
add_subdirectory(svgexplugin)
add_subdirectory(xpsexport)

=== scribus/plugins/import/wpg/CMakeLists.txt ===
include_directories(
	${CMAKE_SOURCE_DIR}
	${CMAKE_SOURCE_DIR}/scribus
	${SCRIBUS_AUTOGEN_INCLUDE_PATH}
)

set(IMPORTWPG_PLUGIN_SOURCES
	importwpg.cpp
	importwpgplugin.cpp
)
set(SCRIBUS_IMPORTWPG_PLUGIN "importwpg")

add_library(${SCRIBUS_IMPORTWPG_PLUGIN} MODULE ${IMPORTWPG_PLUGIN_SOURCES})
target_link_libraries(${SCRIBUS_IMPORTWPG_PLUGIN} ${EXE_NAME} ${SCRIBUS_WPG_LIB})
if(WANT_PCH)
	target_precompile_headers(${SCRIBUS_IMPORTWPG_PLUGIN} PRIVATE "../../plugins_pch.h")
endif()

install(TARGETS ${SCRIBUS_IMPORTWPG_PLUGIN}
	LIBRARY
	DESTINATION ${PLUGINDIR}
	PERMISSIONS ${PLUGIN_PERMISSIONS}
)
add_dependencies(Plugins ${SCRIBUS_IMPORTWPG_PLUGIN})

=== debian/changelog ===
scribus (1.6.2+dfsg-1ubuntu1) plucky; urgency=medium

  * Add patches to fix build with poppler up to 25.01.

 -- Rik Mills <rikmills@kde.org>  Wed, 22 Jan 2025 15:33:13 +0000

scribus (1.6.2+dfsg-1build4) plucky; urgency=medium

  * Rebuild against latest poppler

 -- Alessandro Astone <jbicha@ubuntu.com>  Fri, 17 Jan 2025 14:18:02 -0500

scribus (1.6.2+dfsg-1build3) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2025 20:01:53 +0100

scribus (1.6.2+dfsg-1build2) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:02:38 +0100

scribus (1.6.2+dfsg-1build1) oracular; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 Aug 2024 07:38:08 -0400

scribus (1.6.2+dfsg-1) unstable; urgency=medium

  * New upstream version 1.6.2+dfsg.  Closes: #1064536
    https://www.scribus.net/scribus-1-6-0-released/
    https://www.scribus.net/scribus-1-6-1-released/
    https://www.scribus.net/scribus-1-6-2-released/
    + Fix FTBFS with poppler 24.06.  Closes: #1074020
    + Fix FTBFS with Python 3.12.  Closes: #1074220
  * Remove patches applied upstream.
  * Use declerative dh sequence addons.
  * Require harfbuzz >= 8.
  * Update d/copyright.
  * Update lintian overrides.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 26 Jul 2024 21:17:52 +0900

scribus (1.5.8+dfsg-5) unstable; urgency=medium

  * Add patch from upstream to fix build with Python 3.12.  Closes: #1061305

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 20 Feb 2024 16:32:45 +0100

=== debian/control ===
Source: scribus
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mattia Rizzolo <mattia@debian.org>
Build-Depends:
 cmake (>= 3.14.0),
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 extra-cmake-modules,
 gettext,
 libcairo2-dev,
 libcdr-dev,
 libcups2-dev,
 libfreehand-dev,
 libgraphicsmagick++1-dev,
 libharfbuzz-dev (>= 8),
 libhunspell-dev,
 libhyphen-dev,
 libicu-dev,
 liblcms2-dev,
 libmspub-dev,
 libopenscenegraph-dev (>= 3.4),
 libpagemaker-dev,
 libpng-dev,
 libpodofo-dev,
 libpoppler-cpp-dev,
 libpoppler-dev (>= 0.64.0),
 libpoppler-private-dev,
 libqt5opengl5-dev,
 libqt5webkit5-dev,
 libqxp-dev,
 librevenge-dev,
 libtiff-dev,
 libvisio-dev,
 libwpg-dev,
 libxml2-dev,
 libzmf-dev,
 python3-dev,
 qtbase5-dev (>= 5.14),
 qttools5-dev,
 qttools5-dev-tools,
 zlib1g-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/scribus
Vcs-Git: https://salsa.debian.org/debian/scribus.git
Homepage: https://www.scribus.net

Package: scribus
Architecture: any
Depends:
 ghostscript,
 ${S:Source}-data (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 cups-bsd,
 fonts-dejavu,
 fonts-liberation,
 hyphen-hyphenation-patterns,
 icc-profiles-free,
 xfonts-scalable | gsfonts-x11,
Suggests:
 icc-profiles,
 scribus-template,
 texlive-latex-recommended,
 ${S:Source}-doc,
Description: Open Source Desktop Page Layout
 Scribus is an open source desktop page layout program with the aim of
 producing commercial grade output in PDF and Postscript.
 .
 Scribus can be used for many tasks; from brochure design to newspapers,
 magazines, newsletters and posters to technical documentation.
 .
 Scribus supports professional DTP features, such as CMYK color and a
 color management system to soft proof images for high quality color printing,
 flexible PDF creation options, Encapsulated PostScript import/export and
 creation of 4 color separations, import of EPS/PS and SVG as native vector
 graphics, Unicode text including right to left scripts such as Arabic and
 Hebrew via freetype. Graphic formats which can be placed in Scribus as images
 include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
 and any bitmap type supported by QT5.
 .
 If you need to use the render frame install the texlive-latex-recommended
 package (suggested).

Package: scribus-data
Architecture: all
Depends:
 python3-tk,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 fonts-dejavu,
Description: Open Source Desktop Page Layout - data files
 Scribus is an open source desktop page layout program with the aim of
 producing commercial grade output in PDF and Postscript.
 .
 Scribus can be used for many tasks; from brochure design to newspapers,
 magazines, newsletters and posters to technical documentation.
 .
 Scribus supports professional DTP features, such as CMYK color and a
 color management system to soft proof images for high quality color printing,
 flexible PDF creation options, Encapsulated PostScript import/export and
 creation of 4 color separations, import of EPS/PS and SVG as native vector
 graphics, Unicode text including right to left scripts such as Arabic and
 Hebrew via freetype. Graphic formats which can be placed in Scribus as images
 include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
 and any bitmap type supported by QT5.
 .
 This package contains the architecture-independent files.

#Package: scribus-ng-doc
#Architecture: all
#Section: doc
#Depends:
# ${misc:Depends},
#Recommends:
# ${S:Source} (= ${source:Version}),
#Description: Open Source Desktop Page Layout - documentation - 1.5.x branch
# Scribus is an open source desktop page layout program with the aim of
# producing commercial grade output in PDF and Postscript.
# .
# Scribus can be used for many tasks; from brochure design to newspapers,
# magazines, newsletters and posters to technical documentation.
# .
# Scribus supports professional DTP features, such as CMYK color and a
# color management system to soft proof images for high quality color printing,
# flexible PDF creation options, Encapsulated PostScript import/export and
# creation of 4 color separations, import of EPS/PS and SVG as native vector
# graphics, Unicode text including right to left scripts such as Arabic and
# Hebrew via freetype. Graphic formats which can be placed in Scribus as images
# include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
# and any bitmap type supported by QT5.
# .
# This package contains the documentation.

## scribus 1.6.3%2Bdfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,12 @@
 #Require 3.14 for new Fontconfig module
 
 cmake_minimum_required(VERSION 3.14.0 FATAL_ERROR)
+
 cmake_policy(SET CMP0048 NEW)
+if (POLICY CMP0177)
+	cmake_policy(SET CMP0177 NEW)
+endif()
+
 message(STATUS "CMake Version: ${CMAKE_VERSION}")
 if (WANT_PCH)
 	if(${CMAKE_VERSION} VERSION_LESS "3.16.0")
@@ -28,7 +33,7 @@
 #where VERSION_SUFFIX is of the form "", "svn" or "Nsvn" (N being the minor patch level)
 set (VERSION_MAJOR "1")
 set (VERSION_MINOR "6")
-set (VERSION_PATCH "2")
+set (VERSION_PATCH "3")
 set (VERSION_SUFFIX "")
 set (VERSION ${VERSION_MAJOR})
 if (VERSION_MINOR GREATER -1)
@@ -201,8 +206,12 @@
 if (APPLE)
 	if ((CMAKE_SIZEOF_VOID_P EQUAL 8) AND (ARCH_ARM_64))
 		string(REGEX REPLACE ".*-darwin([0-9]+).*" "\\1" APPLE_OS_VERSION "${MACHINE}")
+		if (APPLE_OS_VERSION EQUAL "24")
+			message(STATUS "Found macOS Sequoia Target: Apple, 64 bit, ARM")
+			set(APPLE_15_00_X ON CACHE BOOL "Found macOS Sequoia Target: Apple, 64 bit, ARM")
+		endif()
 		if (APPLE_OS_VERSION EQUAL "23")
-			message(STATUS "Found macOS Sonoma Target: Apple, 64 bit, X86")
+			message(STATUS "Found macOS Sonoma Target: Apple, 64 bit, ARM")
 			set(APPLE_14_00_X ON CACHE BOOL "Found macOS Sonoma Target: Apple, 64 bit, ARM")
 		endif()
 		if (APPLE_OS_VERSION EQUAL "22")
@@ -220,6 +229,10 @@
 	endif()
 	if ((CMAKE_SIZEOF_VOID_P EQUAL 8) AND (ARCH_X86 OR ARCH_X86_64))
 		string(REGEX REPLACE ".*-darwin([0-9]+).*" "\\1" APPLE_OS_VERSION "${MACHINE}")
+		if (APPLE_OS_VERSION EQUAL "24")
+			message(STATUS "Found macOS Sequoia Target: Apple, 64 bit, X86")
+			set(APPLE_15_00_X ON CACHE BOOL "Found macOS Sequoia Target: Apple, 64 bit, X86")
+		endif()
 		if (APPLE_OS_VERSION EQUAL "23")
 			message(STATUS "Found macOS Sonoma Target: Apple, 64 bit, X86")
 			set(APPLE_14_00_X ON CACHE BOOL "Found macOS Sonoma Target: Apple, 64 bit, X86")
@@ -318,18 +331,3 @@
 
 #Simplify future conditionals for Apple
 if (APPLE AND BUILD_OSX_BUNDLE)
-	set(APPLEBUNDLE ON CACHE BOOL "Building Apple Bundle")
-endif()
-
-#Announce we cached a version request before, overridden below for OSX
-if(TAG_VERSION)
-	if (NOT APPLEBUNDLE)
-		message(STATUS "Previously selected version tag: ${TAG_VERSION}")
-	endif()
-	set(WANT_VERSIONING ON)
-	set(CACHED_VERSIONING ON)
-endif()
-
-#Remove version tags on OSX so our bundle is Scribus.app
-if (APPLEBUNDLE OR WIN32)
-	if (WANT_VERSIONING OR CACHED_VERSIONING)

=== resources/iconsets/artwork/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/scribus
)

##################

#Install the program and document icons if not on Mac and not on Windows
if(NOT WIN32 AND NOT APPLE)
	SET(SYSICONDIR "${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor")
	
	FOREACH(res 16x16 32x32 128x128 256x256 512x512 1024x1024)
		INSTALL(FILES
			icon_${res}.png
			RENAME scribus${TAG_VERSION}.png
			DESTINATION ${SYSICONDIR}/${res}/apps/
		)
	ENDFOREACH(res)
		
	FOREACH(res 16x16 32x32 64x64 128x128 256x256)
		INSTALL(FILES
			application-vnd.scribus_${res}.png
			RENAME application-vnd.scribus.png
			DESTINATION ${SYSICONDIR}/${res}/mimetypes/
		)
	ENDFOREACH(res)
endif()

=== scribus/plugins/fileloader/scribus13format/CMakeLists.txt ===
include_directories(
	${CMAKE_SOURCE_DIR}
	${CMAKE_SOURCE_DIR}/scribus
)

set(SCR13FORMAT_FL_PLUGIN_SOURCES
	scribus13format.cpp
	scribus13formatimpl.cpp
)

set(SCRIBUS_SCR13FORMAT_FL_PLUGIN "scribus13format")



add_library(${SCRIBUS_SCR13FORMAT_FL_PLUGIN} MODULE ${SCR13FORMAT_FL_PLUGIN_SOURCES})

target_link_libraries(${SCRIBUS_SCR13FORMAT_FL_PLUGIN} ${EXE_NAME})

if(WANT_PCH)
	target_precompile_headers(${SCRIBUS_SCR13FORMAT_FL_PLUGIN} PRIVATE "../../plugins_pch.h")
endif()

install(TARGETS ${SCRIBUS_SCR13FORMAT_FL_PLUGIN}
	LIBRARY
	DESTINATION ${PLUGINDIR}
	PERMISSIONS ${PLUGIN_PERMISSIONS}
)

## scribus 1.6.3+dfsg

=== resources/loremipsum/CMakeLists.txt ===
include_directories(
"${CMAKE_SOURCE_DIR}/scribus"
)

#Install our lorem ipsum sample files, selected from *.xml in this directory
file( GLOB SCRIBUS_LOREM_FILES *.xml )
install(FILES ${SCRIBUS_LOREM_FILES} DESTINATION ${SHAREDIR}loremipsum)

=== scribus/api/CMakeLists.txt ===
set(SCRIBUS_API_SOURCES
#	api_....cpp
    api/api_application.cpp
#	api/api_color.cpp
)

=== scribus/colormgmt/CMakeLists.txt ===

include_directories( ${LCMS2_INCLUDE_DIR} )

set(SCRIBUS_LCMS_IMPL_SOURCES
	colormgmt/sclcms2colormgmtengineimpl.cpp
	colormgmt/sclcms2colorprofileimpl.cpp
	colormgmt/sclcms2colortransformimpl.cpp
)

set(SCRIBUS_COLORMGMT_SOURCES
	colormgmt/scciedata.cpp
	colormgmt/sccieilluminants.cpp
	colormgmt/sccieobservers.cpp
	colormgmt/sccolormgmtengine.cpp
	colormgmt/sccolormgmtenginedata.cpp
	colormgmt/sccolormgmtenginefactory.cpp
	colormgmt/sccolormgmtimplelem.cpp
	colormgmt/sccolormgmtstructs.cpp
	colormgmt/sccolorprofile.cpp
	colormgmt/sccolorprofilecache.cpp
	colormgmt/sccolorprofiledata.cpp
	colormgmt/sccolorspace.cpp
	colormgmt/sccolorspacedata.cpp
	colormgmt/sccolortransform.cpp
	colormgmt/sccolortransformpool.cpp
	colormgmt/sce308tables.cpp
	colormgmt/scspectralvaluesconvertor.cpp
	${SCRIBUS_LCMS_IMPL_SOURCES}
)

=== scribus/dtd/CMakeLists.txt ===
include_directories(
"${CMAKE_SOURCE_DIR}/scribus"
)

install(FILES
scribuspdfoptions.dtd
  DESTINATION ${SHAREDIR}dtd
)

=== scribus/text/CMakeLists.txt ===
set(SCRIBUS_TEXT_MOC_CLASSES
	text/storytext.h
)

set(SCRIBUS_TEXT_SOURCES
	text/boxes.cpp
	text/frect.cpp
	text/fsize.cpp
	text/glyphcluster.cpp
	text/index.cpp
	text/screenpainter.cpp
	text/scrptrun.cpp
	text/sctext_shared.cpp
	text/scworditerator.cpp
	text/shapedtext.cpp
	text/shapedtextcache.cpp
	text/shapedtextfeed.cpp
	text/specialchars.cpp
	text/storytext.cpp
	text/textlayout.cpp
	text/textlayoutpainter.cpp
	text/textshaper.cpp
	text/textcontext.cpp
)

=== scribus/plugins/colorwheel/CMakeLists.txt ===
include_directories(
	${CMAKE_SOURCE_DIR}
	${CMAKE_SOURCE_DIR}/scribus
	${SCRIBUS_AUTOGEN_INCLUDE_PATH}
)

set(COLORWHEEL_PLUGIN_SOURCES
	colorwheel.cpp
	colorwheelwidget.cpp
	cwdialog.cpp
)

set(SCRIBUS_COLORWHEEL_PLUGIN "colorwheel")

add_library(${SCRIBUS_COLORWHEEL_PLUGIN} MODULE ${COLORWHEEL_PLUGIN_SOURCES})

target_link_libraries(${SCRIBUS_COLORWHEEL_PLUGIN} ${EXE_NAME})

if(WANT_PCH)
	target_precompile_headers(${SCRIBUS_COLORWHEEL_PLUGIN} PRIVATE "../plugins_pch.h")
endif()

install(TARGETS ${SCRIBUS_COLORWHEEL_PLUGIN}
	LIBRARY
	DESTINATION ${PLUGINDIR}
	PERMISSIONS ${PLUGIN_PERMISSIONS}
)

add_dependencies(Plugins ${SCRIBUS_COLORWHEEL_PLUGIN})

# set_target_properties(${SCRIBUS_COLORWHEEL_PLUGIN} PROPERTIES VERSION "0.0.0")

=== scribus/plugins/fontpreview/CMakeLists.txt ===
include_directories(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
)

set(FONTPREVIEW_PLUGIN_SOURCES
	fontpreview.cpp
	fontpreviewplugin.cpp
)

set(SCRIBUS_FONTPREVIEW_PLUGIN "fontpreview")

add_library(${SCRIBUS_FONTPREVIEW_PLUGIN} MODULE ${FONTPREVIEW_PLUGIN_SOURCES})

target_link_libraries(${SCRIBUS_FONTPREVIEW_PLUGIN} ${EXE_NAME})

if(WANT_PCH)
	target_precompile_headers(${SCRIBUS_FONTPREVIEW_PLUGIN} PRIVATE "../plugins_pch.h")
endif()

install(TARGETS ${SCRIBUS_FONTPREVIEW_PLUGIN}
	LIBRARY
	DESTINATION ${PLUGINDIR}
	PERMISSIONS ${PLUGIN_PERMISSIONS}
)

=== scribus/plugins/scriptplugin/CMakeLists.txt ===
include_directories(
	${CMAKE_SOURCE_DIR}
	${CMAKE_SOURCE_DIR}/scribus
	${Python3_INCLUDE_DIRS}
	${SCRIBUS_AUTOGEN_INCLUDE_PATH}
)

# Gentoo has an option for no examples. Let's make the ebuild simpler and open up the option to others, but leave as a default for us
if (NOT WANT_NOEXAMPLES)
	add_subdirectory(samples)
endif ()
add_subdirectory(scripts)

set(SCRIPTER_PLUGIN_SOURCES
	cmdannotations.cpp
	cmdcell.cpp
	cmdcolor.cpp
	cmddialog.cpp
	cmddoc.cpp
	cmdgetprop.cpp
	cmdgetsetprop.cpp
	cmdmani.cpp
	cmdmisc.cpp
	cmdobj.cpp
	cmdpage.cpp
	cmdsetprop.cpp
	cmdstyle.cpp
	cmdtable.cpp
	cmdtext.cpp
	cmdutil.cpp
	guiapp.cpp
	objimageexport.cpp
	objpdffile.cpp
	objprinter.cpp
	pconsole.cpp
	prefs_scripter.cpp
	pyesstring.cpp
	runscriptdialog.cpp
	scriptercore.cpp
	scriptplugin.cpp
	svgimport.cpp
)

set(SCRIBUS_SCRIPTER_PLUGIN "scriptplugin")

add_library(${SCRIBUS_SCRIPTER_PLUGIN} MODULE 
	${SCRIPTER_PLUGIN_SOURCES}
)

target_link_libraries(${SCRIBUS_SCRIPTER_PLUGIN}
	${Python3_LIBRARIES}
	${SCRIBUS_API_LIB}
)

target_link_libraries(${SCRIBUS_SCRIPTER_PLUGIN} ${EXE_NAME})

if(WANT_PCH)
	target_precompile_headers(${SCRIBUS_SCRIPTER_PLUGIN} PRIVATE "../plugins_pch.h")
endif()

install(TARGETS ${SCRIBUS_SCRIPTER_PLUGIN}
	LIBRARY
	DESTINATION ${PLUGINDIR}
	PERMISSIONS ${PLUGIN_PERMISSIONS}
)

add_dependencies(Plugins ${SCRIBUS_SCRIPTER_PLUGIN})

=== scribus/third_party/pgf/CMakeLists.txt ===
include_directories(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_FPIC}")

set(SCRIBUS_PGF_LIB_SOURCES
        Decoder.cpp
        Encoder.cpp
        PGFimage.cpp
        PGFstream.cpp
        Subband.cpp
        WaveletTransform.cpp
       )


set(SCRIBUS_PGF_LIB "scribus_pgf_lib")
add_library(${SCRIBUS_PGF_LIB} STATIC ${SCRIBUS_PGF_LIB_SOURCES})
set_target_properties(${SCRIBUS_PGF_LIB}
  PROPERTIES
  COMPILE_FLAGS -DCOMPILE_SCRIBUS_MAIN_APP
  )

=== scribus/plugins/export/pixmapexport/CMakeLists.txt ===
include_directories(
	${CMAKE_SOURCE_DIR}
	${CMAKE_SOURCE_DIR}/scribus
	${SCRIBUS_AUTOGEN_INCLUDE_PATH}
)

set(SCRIBUS_PIXMAPEXPORT_PLUGIN_SOURCES
	dialog.cpp
	export.cpp
)

set(SCRIBUS_PIXMAPEXPORT_PLUGIN "scribusexportpixmap")

add_library(${SCRIBUS_PIXMAPEXPORT_PLUGIN} MODULE ${SCRIBUS_PIXMAPEXPORT_PLUGIN_SOURCES})

target_link_libraries(${SCRIBUS_PIXMAPEXPORT_PLUGIN} ${EXE_NAME})

if(WANT_PCH)
	target_precompile_headers(${SCRIBUS_PIXMAPEXPORT_PLUGIN} PRIVATE "../../plugins_pch.h")
endif()

install(TARGETS ${SCRIBUS_PIXMAPEXPORT_PLUGIN}
	LIBRARY
	DESTINATION ${PLUGINDIR}
	PERMISSIONS ${PLUGIN_PERMISSIONS}
)

add_dependencies(Plugins ${SCRIBUS_PIXMAPEXPORT_PLUGIN})

# set_target_properties(${SCRIBUS_FONTPREVIEW_PLUGIN} PROPERTIES VERSION "0.0.0")

=== scribus/plugins/export/svgexplugin/CMakeLists.txt ===
include_directories(
	${CMAKE_SOURCE_DIR}
	${CMAKE_SOURCE_DIR}/scribus
	${SCRIBUS_AUTOGEN_INCLUDE_PATH}
)

set(EXPORTSVG_PLUGIN_SOURCES
	svgexplugin.cpp
)

set(SCRIBUS_EXPORTSVG_PLUGIN "svgexplugin")

add_library(${SCRIBUS_EXPORTSVG_PLUGIN} MODULE ${EXPORTSVG_PLUGIN_SOURCES})

target_link_libraries(${SCRIBUS_EXPORTSVG_PLUGIN} ${EXE_NAME})

if(WANT_PCH)
	target_precompile_headers(${SCRIBUS_EXPORTSVG_PLUGIN} PRIVATE "../../plugins_pch.h")
endif()

install(TARGETS ${SCRIBUS_EXPORTSVG_PLUGIN}
	LIBRARY
	DESTINATION ${PLUGINDIR}
	PERMISSIONS ${PLUGIN_PERMISSIONS}
)

add_dependencies(Plugins ${SCRIBUS_EXPORTSVG_PLUGIN})

# set_target_properties(${SCRIBUS_FONTPREVIEW_PLUGIN} PROPERTIES VERSION "0.0.0")

=== scribus/plugins/gettext/htmlim/CMakeLists.txt ===
include_directories(
	${CMAKE_SOURCE_DIR}
	${CMAKE_SOURCE_DIR}/scribus
)

set(HTML_GT_PLUGIN_SOURCES
	htmlim.cpp
	htmlreader.cpp
)

set(SCRIBUS_HTML_GT_PLUGIN "htmlim")



add_library(${SCRIBUS_HTML_GT_PLUGIN} MODULE ${HTML_GT_PLUGIN_SOURCES})

target_link_libraries(${SCRIBUS_HTML_GT_PLUGIN} ${EXE_NAME})

if(WANT_PCH)
	target_precompile_headers(${SCRIBUS_HTML_GT_PLUGIN} PRIVATE "../../plugins_pch.h")
endif()

install(TARGETS ${SCRIBUS_HTML_GT_PLUGIN}
	LIBRARY
	DESTINATION ${PLUGINDIR}gettext
	PERMISSIONS ${PLUGIN_PERMISSIONS}
)

=== debian/changelog ===
scribus (1.6.3+dfsg-0.2deepin1) unstable; urgency=medium

  * use fusion themes

 -- lhdjply <lhdjply@126.com>  Mon, 30 Jun 2025 08:28:12 +0800

scribus (1.6.3+dfsg-0.2) unstable; urgency=medium

  * Non-maintainer upload
  * Cherry-pick patch to fix build with poppler 25.02

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Mar 2025 17:30:59 -0500

scribus (1.6.3+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release (Closes: #1093219)
  * Remove unused Build-Depends: libqt5webkit5-dev (Closes: #1093807)
  * Bump minimum poppler to 0.75.0
  * Update debian/watch to only watch for stable releases and ignore 1.7.*

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 26 Jan 2025 14:06:47 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: scribus
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mattia Rizzolo <mattia@debian.org>
+Maintainer: Mattia Rizzolo <mattia@debian.org>
 Build-Depends:
  cmake (>= 3.14.0),
  debhelper-compat (= 13),
@@ -26,10 +25,9 @@
  libpng-dev,
  libpodofo-dev,
  libpoppler-cpp-dev,
- libpoppler-dev (>= 0.64.0),
+ libpoppler-dev (>= 0.75.0),
  libpoppler-private-dev,
  libqt5opengl5-dev,
- libqt5webkit5-dev,
  libqxp-dev,
  librevenge-dev,
  libtiff-dev,

=== debian/watch ===
version=4

opts="\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\d+)?$//,\
pgpmode=auto,\
" \
https://sf.net/scribus/scribus-(\d.[02468][\d\.]+)@ARCHIVE_EXT@
